Bug 170492 - Review Request: qucs - Circuit simulator
Summary: Review Request: qucs - Circuit simulator
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Aurelien Bompard
QA Contact: Fedora Package Reviews List
URL: http://qucs.sourceforge.net/
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2005-10-12 10:33 UTC by Eric Tanguy
Modified: 2007-11-30 22:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-21 22:21:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed spec changes to make package RPM_OPT_FLAGS aware (1.01 KB, patch)
2005-10-18 07:41 UTC, Ralf Corsepius
no flags Details | Diff
Hacks to make configure script RPM_OPT_FLAGS aware (657 bytes, patch)
2005-10-18 07:44 UTC, Ralf Corsepius
no flags Details | Diff

Description Eric Tanguy 2005-10-12 10:33:35 UTC
Spec Name or Url: http://perso.wanadoo.fr/eric.tanguy/qucs.spec
SRPM Name or Url: http://perso.wanadoo.fr/eric.tanguy/qucs-0.0.7-5.src.rpm
Description: Qucs is a circuit simulator with graphical user interface.  The
software aims to support all kinds of circuit simulation types,
e.g. DC, AC, S-parameter and harmonic balance analysis.

This is my first package and i'm seeking a sponsor.
Thanks

Comment 1 Alain Portal 2005-10-12 11:35:21 UTC
Sorry, I can't sponsor you. 
 
Some improvements: 
Put the full download url in Source0, i.e. 
Source0 http://dl.sf.net/qucs/%{name}-%{version}.tar.gz 
 
In %changelog, remove ".fc4" in "0.0.7-5.fc4" to make rpmlint happy 
 
Build fine in mock 

Comment 2 Alain Portal 2005-10-12 11:52:54 UTC
In %install section, add rm -rf $RPM_BUILD_ROOT before make install 
 
Suggestion for the desktop file: 
desktop-file-install --vendor fedora \ 
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \ 
  --add-category "Engineering" \ 
  --add-category "Electronics" \ 
  --add-category "X-Fedora" \ 
  %{SOURCE1} 
 
I think you should remove the "Categories" line in the desktop file, this 
isn't a Gnome based application. 
 

Comment 3 Eric Tanguy 2005-10-12 17:09:29 UTC
Comment #1 : Ok it will be done quickly
Comment #2 : your suggestion about desktop file doesn't seem to work 
+ desktop-file-install --vendor fedora --dir
/var/tmp/qucs-0.0.7-5-root-tanguy/usr/share/applications --add-category
Engineering ' '
Error on file " ": Failed to open file ' ': No such file or directory
erreur: Mauvais status de sortie pour /var/tmp/rpm-tmp.25083 (%install)

Comment 4 Alain Portal 2005-10-13 10:29:42 UTC
Work for me. 
I suspect you copy/paste from the bugzilla html page. 
Don't do this but edit by hand. I often meet problems about caracters set or 
related when I copy/paste examples of C source code or shell script. 

Comment 5 Eric Tanguy 2005-10-13 16:26:39 UTC
Ok you're right. Thanks. Now all it's ok and the files are uploaded. I still
need a complete review and a sponsor.

Comment 6 Aurelien Bompard 2005-10-15 08:32:54 UTC
I'll do the sponsoring, but first, there is a couple of improvements to do :

* Desktop file: the Categories tag should contain "Application" (wiki:
PackagingGuidelines#desktop)
Since your desktop file is in a separate source, you could just add this line to
it :
Categories=Application;Electronics;Engineering;
and only use "--add-category X-Fedora" with desktop-file-install in the spec
file (since this category is Fedora-specific, I would leave it in the spec file,
but you can add it to the desktop file too)

Minor :
 * use %setup -q in %prep, to cut off the untarring output.


Comment 7 Eric Tanguy 2005-10-15 09:13:52 UTC
I did the improvements asked and uploaded the files. Do i need to increase the
release number in spec file ?

Comment 8 Aurelien Bompard 2005-10-15 12:51:23 UTC
Increasing the release tag makes it easier to know which version has been
approved, so please do that next time.

Review for release 5:
* RPM name is OK
* Source qucs-0.0.7.tar.gz is the same as upstream
* This is the latest version
* Builds fine in mock
* rpmlint of qucs looks OK
* File list of qucs looks OK
* Works fine
APPROVED

Follow the steps to become an official contributor
(http://fedoraproject.org/wiki/Extras/Contributors) and I'll sponsor you.



Comment 9 Ralf Corsepius 2005-10-18 05:24:41 UTC
VETO

Package does not acknowledge RPM_OPT_FLAGS

Pushing package back to FE-REVIEW.

Comment 10 Ralf Corsepius 2005-10-18 07:41:39 UTC
Created attachment 120112 [details]
Proposed spec changes to make package RPM_OPT_FLAGS aware

Comment 11 Ralf Corsepius 2005-10-18 07:44:33 UTC
Created attachment 120113 [details]
Hacks to make configure script RPM_OPT_FLAGS aware

The origin of this problem is a broken configure script.
This patch is supposed to fix bring this configure script into usable shape.

Comment 12 Eric Tanguy 2005-10-19 10:34:47 UTC
Thanks for the patches. I also contact the developer and he put a patch in the
cvs version. It will be all right on the next release.
Spec Name or Url: http://perso.wanadoo.fr/eric.tanguy/qucs.spec
SRPM Name or Url: http://perso.wanadoo.fr/eric.tanguy/qucs-0.0.7-6.src.rpm
I don't know if the new package have to be approved one more time ?


Comment 13 Eric Tanguy 2005-10-19 15:28:57 UTC
New patched version for x86_64 arch
Spec Name or Url: http://perso.wanadoo.fr/eric.tanguy/qucs.spec
SRPM Name or Url: http://perso.wanadoo.fr/eric.tanguy/qucs-0.0.7-7.src.rpm


Comment 14 Aurelien Bompard 2005-10-21 22:21:49 UTC
Looks OK, approving and closing bug (release 7 is already on the servers)

Comment 15 Christian Iseli 2007-01-03 00:43:35 UTC
Changed summary for tracking purposes.



Note You need to log in before you can comment on or make changes to this bug.